This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 297581 - (CVE-2007-5007) CVE-2007-5007 balsa: IMAP server triggerred stack overflow
CVE-2007-5007 balsa: IMAP server triggerred stack overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugzilla.gnome.org/show_bug.cg...
impact=moderate,source=fedora,reporte...
: EasyFix, Patch, Security
Depends On: 297601
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-20 05:10 EDT by Lubomir Kundrak
Modified: 2008-01-09 08:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 08:50:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 474366 None None None Never

  None (edit)
Description Lubomir Kundrak 2007-09-20 05:10:42 EDT
Description of problem:

A remote IMAP server can overflow a statically sized buffer on stack and
possible execute arbitrary code with privilegies of user running Balsa with a
long message name in response to FETCH command of IMAP protocol.

Additional info:

See URL for original Gnome Bugzilla entry which contains a patch.
Comment 2 Lubomir Kundrak 2007-09-20 05:21:52 EDT
The CVE identifier for the issue was requested.
Comment 3 Fedora Update System 2007-09-25 04:32:47 EDT
has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-09-26 16:03:41 EDT
has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2008-01-09 08:50:25 EST
This issue did not affect version of balsa as shipped with Red Hat Enterprise
Linux 2.1.

Note You need to log in before you can comment on or make changes to this bug.